using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// CustomTexts 的摘要说明。
	/// </summary>
	public class CustomTexts : BasePage
	{
		CustomTextSystem txt = new CustomTextSystem();
		protected System.Web.UI.WebControls.Repeater lstCustomText;
		RightMemberSystem rightmember = new RightMemberSystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				if(!rightmember.Allow(0,"CustomText",this.CurrentMemberID))
					Response.Redirect("noright.aspx");
				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.lstCustomText.ItemCommand += new System.Web.UI.WebControls.RepeaterCommandEventHandler(this.lstCustomText_ItemCommand);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		protected void Delete_Load(object sender, System.EventArgs e)
		{
			((LinkButton)sender).Attributes["onclick"]="return confirm('您确定要删除这个自定义文本吗？');";
		}
		private void BindData()
		{
			lstCustomText.DataSource = txt.List();
			lstCustomText.DataBind();
		}

		private void lstCustomText_ItemCommand(object source, System.Web.UI.WebControls.RepeaterCommandEventArgs e)
		{
			if(e.CommandName == "Delete")
			{
				txt.Delete(e.CommandArgument);
			}
			Response.Redirect("CustomTexts.aspx");
		}
	}
}
